Bug 243050 - gnome-power-manager does not run
gnome-power-manager does not run
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2007-06-06 22:29 EDT by Michal Jaegermann
Modified: 2013-03-05 22:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-04 14:01:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-06-06 22:29:54 EDT
Description of problem:

With recent rawhide gnome-power-manager-2.19.2-2.fc8 was not
running at all.  AFAICT it was just exiting on an attempt to
start.  Today I tried to look closer and it has one more
reason not to run; but this time it does not even try:

gnome-power-manager: error while loading shared libraries: libwnck-1.so.21:
cannot open shared object file: No such file or directory

Indeed 'rpm -V gnome-power-manager' says:
"Unsatisfied dependencies for gnome-power-manager ...".
OTOH yum happily updated libwnck to libwnck-

Looking closer there are other packages in the same boat:
Package compiz requires libwnck-1.so.21()(64bit)
Package gnome-applets requires libwnck-1.so.21()(64bit)
Package gnome-power-manager requires libwnck-1.so.21()(64bit)

but gnome-power-manager was not running even with the previous
version of libwnck.
Comment 1 Richard Hughes 2007-06-07 04:50:13 EDT
David, do you want me to rebuild this for rawhide?
Comment 2 David Zeuthen 2007-06-07 12:21:22 EDT
Richard, yes, please do - I was actually assuming you were looking after g-p-m
and doing rebuilds; no need to ask me for permission in the future. Thanks.
Comment 3 Michal Jaegermann 2007-06-07 19:49:49 EDT
Afer an update to gnome-power-manager-2.19.2-3.fc8 package
g-p-m does run.  I see it in a process table.  Thanks!

But a while ago (when rawhide updates after F7 release showed up)
"Suspend" and "Hibernate" vanished from my menus and so far
they refused to return.  Looking at ~/.xsession-errors I see among
other things the following complaints from gconftool-2:

** Message: Could not connect to power manager: Could not get owner of name
'org.gnome.PowerManager': no such name
** Message: Could not connect to power manager: Could not get owner of name
'org.gnome.PowerManager': no such name

This is accompanied all over the place by "GSlice: g_thread_init() ..."
complaints.  Is this the real reason and that is why there is
no "Suspend" and "Hibernate" in gnome anymore?
Comment 4 Richard Hughes 2007-06-13 06:40:52 EDT
Can you remove the gnome-power-manager package and re-install it? Does this help?
Comment 5 Michal Jaegermann 2007-06-13 13:29:19 EDT
> Can you remove the gnome-power-manager package and re-install it? Does this help?

Such operation does not make the slightest difference.  OTOH
~/.xsession-errors, apart from messages like in comment #3 and
other assorted complaints, if full on every step of warnings
"likely to crash, leak or unexpectedly abort soon..." like those
described in bug 241959.  Maybe this has something to do with effects?
Comment 6 Michal Jaegermann 2007-08-04 14:01:03 EDT
Rawhide changes 20070803 made buttons in question to show up
again and gnome-power-manager appears to be back.  OTOH it does
not seem to be fully operational.  See bug 250894.

I guess that this one can be closed, at least for this moment,
to be replaced by bug 250894.

Note You need to log in before you can comment on or make changes to this bug.